BINDV8CONF_LISTER(1)

NAME
bindv8conf_lister - parse BIND V8 named.conf files

SYNOPSIS
bindv8conf_lister

DESCRIPTION

bindv8conf_lister is a utility to list domain information for zones in an easily parsed format. It reads a named.conf file and produces a single line for each DNS zone it finds. It attempts to process any "include" directives.

Each line looks like the following template:

<domain_name> <type> <filename> <masters>

The <domain_name> is the name of the domain. The <type> is the type of domain (one of "master", "slave", or "stub"). The <filename> is the name of the local file in which the domain information is stored. The <masters> is a semicolon separated list of the IP addresses of the authoritative servers for the domain when it is a "slave" or "stub" domain.

The program is intended to be used as an input filter for other programs.

See also

domain_list(1) named.conf(5)